org.encog.neural.networks.training.concurrent.performers

## Class ConcurrentTrainingPerformerCPU

- java.lang.Object
- - org.encog.neural.networks.training.concurrent.performers.ConcurrentTrainingPerformerCPU

- All Implemented Interfaces:
    Runnable, ConcurrentTrainingPerformer

      public class ConcurrentTrainingPerformerCPU
      extends Object
      implements ConcurrentTrainingPerformer, Runnable

  This performer allows jobs to be performed by the CPU.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentTrainingPerformerCPU(int number)` Construct the performer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConcurrentTrainingManager` | `getManager()` Get the manager.
    `int` | `getNumber()`
    `void` | `perform(TrainingJob job)` Perform the specified job.
    `boolean` | `ready()`
    `void` | `run()`
    `void` | `setManager(ConcurrentTrainingManager manager)` Set the manager.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentTrainingPerformerCPU

          public ConcurrentTrainingPerformerCPU(int number)

      Construct the performer.
      Parameters:
        `number` -

  - ### Method Detail

    - #### getManager

          public ConcurrentTrainingManager getManager()

      Get the manager.
      Specified by:
        `getManager` in interface `ConcurrentTrainingPerformer`
      Returns:
        The manager

    - #### getNumber

          public int getNumber()

    - #### perform

          public void perform(TrainingJob job)

      Perform the specified job.
      Specified by:
        `perform` in interface `ConcurrentTrainingPerformer`
      Parameters:
        `job` - The job to perform.

    - #### ready

          public boolean ready()

      Specified by:
        `ready` in interface `ConcurrentTrainingPerformer`
      Returns:
        True, if this performer is ready to train a job.

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### setManager

          public void setManager(ConcurrentTrainingManager manager)

      Set the manager.
      Specified by:
        `setManager` in interface `ConcurrentTrainingPerformer`
      Parameters:
        `manager` - The manager.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.